Scientific Linux Security Update : dhcp on SL6.x i386/x86_64 (20180515)

high Nessus Plugin ID 109849
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote Scientific Linux host is missing one or more security updates.

Description

Security Fix(es) :

- A command injection flaw was found in the NetworkManager integration script included in the DHCP client packages in Scientific Linux. A malicious DHCP server, or an attacker on the local network able to spoof DHCP responses, could use this flaw to execute arbitrary commands with root privileges on systems using NetworkManager and configured to obtain network configuration using the DHCP protocol. (CVE-2018-1111)

Solution

Update the affected packages.

See Also

http://www.nessus.org/u?875d7ff3

Plugin Details

Severity: High

ID: 109849

File Name: sl_20180515_dhcp_on_SL6_x.nasl

Version: 1.11

Type: local

Agent: unix

Published: 5/16/2018

Updated: 2/24/2020

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: High

Score: 7.4

CVSS v2

Risk Factor: High

Base Score: 7.9

Temporal Score: 6.5

Vector: AV:A/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: E:F/RL:OF/RC:C

CVSS v3

Risk Factor: High

Base Score: 7.5

Temporal Score: 7

Vector: CVSS:3.0/AV:A/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:F/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:fermilab:scientific_linux:dhclient, p-cpe:/a:fermilab:scientific_linux:dhcp, p-cpe:/a:fermilab:scientific_linux:dhcp-common, p-cpe:/a:fermilab:scientific_linux:dhcp-debuginfo, p-cpe:/a:fermilab:scientific_linux:dhcp-devel, x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 5/15/2018

Vulnerability Publication Date: 5/17/2018

Exploitable With

Metasploit (DHCP Client Command Injection (DynoRoot))

Reference Information

CVE: CVE-2018-1111

IAVA: 2018-A-0162